Bug 478948 - in full screen mode, gthumb unnecessarily hides comment
in full screen mode, gthumb unnecessarily hides comment
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gthumb (Show other bugs)
12
All Linux
low Severity medium
: ---
: ---
Assigned To: Behdad Esfahbod
Fedora Extras Quality Assurance
easy to fix; please just fix it.
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-01-06 01:13 EST by Tim Taiwanese Liim
Modified: 2010-05-12 10:09 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-05-12 10:09:57 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tim Taiwanese Liim 2009-01-06 01:13:54 EST
Description of problem:
    In full screen mode (F11), property subtitle (aka "comment on
    image") disappears when hitting some irrelevant keys
    (eg. ctrl, shift, dot ".").  Is there any reason the property
    subtitle should disappear when hitting keys that are not
    defined in full screen mode?

Version-Release number of selected component (if applicable):
    gthumb-2.10.10-3.fc10

How reproducible:
    always

Steps to Reproduce:
    1. in gthumb, hit F11 (full screen mode)
    2. Click on "Properties" button or "i" key to bring
       up property subtitle.
    3. hit ctrl key (or shift, or dot "." key).

Actual results:
    property subtitle disappears.

Expected results:
    property subtitle should remain on.

Additional info:
    In gthumb-2.10.10/src/gth-fullscreen.c, the method
    viewer_key_press_cb() has a big switch stmt:
        switch (gdk_keyval_to_lower (event->keyval)) {
        ...
        default:
            if (priv->comment_visible)
                    hide_comment_on_image (fullscreen);
    which is the reason 'ctrl' key hide property subtitle.
    Do we really need to hide the comment window because user
    entered a key not recognized by gthumb?
Comment 1 Bug Zapper 2009-11-18 05:40:31 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Tim Taiwanese Liim 2009-11-18 23:44:39 EST
This same bug is in F11 also.  Change Version to F11.
Comment 3 Bug Zapper 2010-04-27 08:41:32 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Tim Taiwanese Liim 2010-04-28 00:22:09 EDT
This same bug is in F12 also.  Change Version to F12.
Comment 5 Tim Taiwanese Liim 2010-05-12 10:09:57 EDT
I guess there is no hope for this request to be implemented.  Close bug.

Note You need to log in before you can comment on or make changes to this bug.